#include<stdio.h>
#include<stdlib.h>
#include<string.h>
struct Stack {
float stack[1024];
int stack_ptr;
};
void initStack(struct Stack *st)
{
st->stack_ptr = 0;
}
void Push(struct Stack *st, float var)
{
if(st->stack_ptr < 1024)
st->stack[st->stack_ptr++] = var;
else
printf("Stack overflow\n");
}

float Pop(struct Stack *st)
{
if(st->stack_ptr >= 0)
return st->stack[--st->stack_ptr];
else
printf("Stack Underflow\n");return 0;
}

struct Stack masc__st;
int masc_print_hello();
int x = 0;
int y = 1;
int main() {
initStack(&masc__st);
begin:
start:
masc_print_hello();
y++;
if(y != 10) goto start;
goto end;
end:
printf("\nGoodbye\n");

return 0;
}
int masc_print_hello () {
printf("%s%d%s%s","Hello this procedure has been called ",y," times\n","");
}
